rascsi(1)

NAME
rasctl - Sends management commands to the rascsi process

SYNOPSIS
rasctl -e | -l | -m | -o | -s | -v | -D | -I | -L | -O | -P | -T | -V | -X | [-C FILENAME:FILESIZE] [-E FILENAME] [-F IMAGE_FOLDER] [-R CURRENT_NAME:NEW_NAME] [-c CMD] [-f FILE|PARAM] [-g LOG_LEVEL] [-h HOST] [-i ID [-n NAME] [-p PORT] [-r RESERVED_IDS] [-t TYPE] [-u UNIT] [-x CURRENT_NAME:NEW_NAME] [-z LOCALE]

DESCRIPTION
rasctl Sends commands to the rascsi process to make configuration adjustments at runtime or to check the status of the devices. Either the -i or -l option should be specified at one time. Not both. You do NOT need root privileges to use rasctl. Note: The command and type arguments are case insensitive. Only the first letter of the command/type is evaluated by the tool.

OPTIONS

-C FILENAME:FILESIZE
    Create an image file in the default image folder with the specified name and size in bytes.

-D  Detach all devices.

-E FILENAME
    Display information on an image file.

-F IMAGE_FOLDER
    Set the default image folder.

-I  Gets the list of reserved device IDs.

-L LOG_LEVEL
    Set the rascsi log level (trace, debug, info, warn, err, critical, off).

-h HOST
    The rascsi host to connect to, default is 'localhost'.

-e  List all images files in the default image folder.

-N  Lists all available network interfaces provided that they are up.

-O  Display the available rascsi server log levels and the current log level.

-P  Prompt for the access token in case rascsi requires authentication.

-l  List all of the devices that are currently being emulated by RaSCSI, as well as their current status.

-m  List all file extensions recognized by RaSCSI and the device types they map to.

-o  Display operation meta data information.

-R CURRENT_NAME:NEW_NAME
    Rename an image file in the default image folder.

-p PORT
    The rascsi port to connect to, default is 6868.

-r RESERVED_IDS
    Comma-separated list of IDs to reserve. Pass an empty list in order to not reserve anything.

-s  Display server-side settings like available images or supported device types.

-T  Display all device types and their properties.

-v  Display the rascsi server version.

-V  Display the rasctl version.

-X  Shut down the rascsi process.

-d FILENAME
    Delete an image file in the default image folder.

-x CURRENT_NAME:NEW_NAME
    Copy an image file in the default image folder.

-z LOCALE
    Overrides the default locale for client-facing error messages.

-i ID
    ID is the SCSI ID that you want to control. (0-7)

-c CMD
    Command is the operation being requested. Options are:
       a(ttach): Attach disk
       d(etach): Detach disk
       i(nsert): Insert media (removable media devices only)
       e(ject): Eject media (removable media devices only)
       p(rotect): Write protect the medium (not for CD-ROMs, which are always read-only)
       u(nprotect): Remove write protection from the medium (not for CD-ROMs, which are always read-only)
       s(how): Display device information

    eject, protect and unprotect are idempotent.

-b BLOCK_SIZE
    The optional block size. For SCSI drives 512, 1024, 2048 or 4096 bytes, default size is 512 bytes. For SASI drives 256 or 1024 bytes, default is 256 bytes.

-f FILE|PARAM
    Device-specific: Either a path to a disk image file, or a parameter for a non-disk device. See the rascsi(1) man page for permitted file types.

-t TYPE
    Specifies the device type. This type overrides the type derived from the file extension of the specified image. See the rascsi(1) man page for the available device types. For some types there are shortcuts (only the first letter is required):
       hd: SCSI hard disk drive
       rm: SCSI removable media drive
       cd: CD-ROM
       mo: Magneto-Optical disk
       lp: SCSI printer
       bridge: Bridge device (Only applicable to the Sharp X68000)
       daynaport: DaynaPort network adapter
       services: Host services device

-n VENDOR:PRODUCT:REVISION
    The vendor, product and revision for the device, to be returned with the INQUIRY data. A complete set of name components must be provided. VENDOR may have up to 8, PRODUCT up to 16, REVISION up to 4 characters. Padding with blanks to the maxium length is automatically applied. Once set the name of a device cannot be changed.

-u UNIT
    Unit number (0-31). This will default to 0. This option is only used when there are multiple SCSI devices on a shared SCSI controller. (This is not common)

EXAMPLES
Show a listing of all of the SCSI devices and their current status.
   rasctl -l Example output:
   +----+-----+------+-------------------------------------
   | ID | LUN | TYPE | IMAGE FILE
   +----+-----+------+-------------------------------------
   | 0 | 1 | SCHD | /home/pi/harddisk.hda
   +----+-----+------+------------------------------------- Request the RaSCSI process to attach a disk (assumed) to SCSI ID 0 with the contents of the file system image "HDIIMAGE0.HDS".
   rasctl -i 0 -f HDIIMAGE0.HDS

SEE ALSO
rascsi(1), scsimon(1), rasdump(1), sasidump(1) Full documentation is available at: <https://www.github.com/akuker/RASCSI/wiki/>